Package: thunderbird / 1:60.8.0-1~deb9u1

debian-hacks/Don-t-error-out-when-run-time-libsqlite-is-older-tha.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
From: Mike Hommey <glandium@debian.org>
Date: Mon, 5 Apr 2010 17:58:23 +0200
Subject: Don't error-out when run-time libsqlite is older than build-time
 libsqlite

In Debian, we have shlibs to handle this.
---
 storage/mozStorageService.cpp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/storage/mozStorageService.cpp b/storage/mozStorageService.cpp
index 2cbeb20..701bdf8 100644
--- a/storage/mozStorageService.cpp
+++ b/storage/mozStorageService.cpp
@@ -184,6 +184,7 @@ already_AddRefed<Service> Service::getSingleton() {
     return do_AddRef(gService);
   }
 
+#if 0
   // Ensure that we are using the same version of SQLite that we compiled with
   // or newer.  Our configure check ensures we are using a new enough version
   // at compile time.
@@ -202,6 +203,7 @@ already_AddRefed<Service> Service::getSingleton() {
     }
     MOZ_CRASH("SQLite Version Error");
   }
+#endif
 
   // The first reference to the storage service must be obtained on the
   // main thread.